<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" "batch-runs"}}

  <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    <h1 class="text-2xl font-medium mb-5">Batch runs</h1>

    <div class="text-sm font-medium text-center text-slate-500 border-b border-slate-200 mb-7">
      <ul class="flex flex-wrap -mb-px">
        <li class="mr-2">
          <a href="/"
            class="inline-block p-4 border-b-2 border-transparent hover:text-slate-600 hover:border-slate-300">Overzicht
          </a>
        </li>
        <li class="mr-2">
          <a href="/batch-runs/new" class="inline-block p-4 text-sky-600 border-b-2 border-sky-600" aria-current="page">Nieuwe batch run
            </a>
        </li>
      </ul>
    </div>

    <h2 class="text-xl font-medium mb-4">Start een nieuwe batch run</h2>

    <form method="POST" hx-post="/batch-runs" hx-target="#results">
      <p class="mb-4">
        <label class="mr-3" for="year">Jaar</label>
        <input type="number" id="year"
          class="inline-block border border-gray-300 text-gray-800 text-sm rounded-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block p-2.5 placeholder:text-gray-400"
          name="year" placeholder="Jaar" value="2023" min="0" step="1">
      </p>

      <p class="my-2">Selecteer gemeenten</p>

      {{range .municipalities}}
      <label class="group inline-flex items-center text-gray-600 mb-2 font-medium">
        <input class="form-checkbox rounded border-gray-300 text-sky-600 focus:ring-sky-500 mr-3" name="municipalities"
          value="{{.ID}}" type="checkbox">
        {{.Name}}</label>

      {{template "partials/batch-run-specification" .ID}}
      {{end}}

      <div id="results" class="mb-7 empty:hidden"></div>

      <p class="mb-7">
        <button
          class="inline-flex items-center text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
          type="submit"><svg class="w-5 h-5 mr-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
              d="M4 9h8V5.414a1 1 0 0 1 1.707-.707l6.586 6.586a1 1 0 0 1 0 1.414l-6.586 6.586A1 1 0 0 1 12 18.586V15H4a1 1 0 0 1-1-1v-4a1 1 0 0 1 1-1z" />
          </svg> Start run</button>
      </p>
    </form>

  </div>
</div>
